const _Http = getApp().globalData.http;

Component({
    properties: {
        disabled: {
            type: Boolean,
            value: true
        }
    },
    options: {
        addGlobalClass: true
    },
    data: {
        sa_hospitaldepid: 0,
        content: {
            nocache: true,
            pageNumber: 1,
            pageSize: 10,
            pageTotal: 1,
            total: null,
            where: {
                condition: ""
            }
        },
        list: [],
        showSearch: false,
        focus: false,
        condition: ""
    },
    lifetimes: {
        attached: function () {
            getApp().globalData.Language.getLanguagePackage(this)
        }
    },
    methods: {
        getList(id, init = false) {
            let content = {
                ...this.data.content,
                sa_hospitaldepid: id || this.data.sa_hospitaldepid
            };
            if (init) {
                content.pageNumber = 1
                content.pageTotal = 1
            }
            _Http.basic({
                "id": 2025102214574202,
                content
            }).then(res => {
                console.log("科室医生", res)
                if (res.code != '1') return wx.showToast({
                    title: res.data,
                    icon: "none"
                });
                let list = res.data
                this.setData({
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageTotal": res.pageTotal,
                    "content.total": res.total,
                    list: res.pageNumber == 1 ? list : this.data.list.concat(list),
                    sa_hospitaldepid: content.sa_hospitaldepid
                })
            })
        },
        insetr() {
            let detail = getCurrentPages().find(v => v.route == 'prsx/department/detail').data.detail;
            let department = [detail.hospitaldepname, [detail.sa_hospitaldepid]];
            wx.navigateTo({
                url: '/prsx/doctors/insert?department=' + JSON.stringify(department),
            })
        },
        toSearch() {
            if (this.data.showSearch && this.data.content.where.condition) {
                this.data.content.where.condition = '';
                this.getList("", true);
            } else if (this.data.condition) {
                this.data.content.where.condition = this.data.condition;
                this.setData({
                    condition: this.data.condition
                })
                this.getList("", true);
            }
            this.setData({
                showSearch: !this.data.showSearch
            })
            setTimeout(() => {
                this.setData({
                    focus: this.data.showSearch
                })
            }, 300)
        },
        onChange({
            detail
        }) {
            this.data.condition = detail;
        },
        onSearch({
            detail
        }) {
            this.data.content.where.condition = detail;
            this.getList("", true)
        },
    }
})